Subject: [Tools-discuss] Bug in rfcmarkup: Some references not turned into links

From: [email-masked] (Dale R. Worley)
Date: Fri, 18 Oct 2013 15:48:34 -0400 (EDT)

Comparing http://www.ietf.org/id/draft-worley-service-example-14.txt
and http://tools.ietf.org/html/draft-worley-service-example-14, some
references (both external and internal) are not turned into links.
Ex., in section 2, in the text "SDP[RFC4566] offer[RFC3264][RFC6337]"
there are three references, only the third of which is turned into a
link.

It appears the problem is "If the '[' of the reference is preceded by
a letter, it is not turned into a link."

The bottom of the HTML says:
    Html markup produced by rfcmarkup 1.104

Thanks for considering this,

Dale